Bug 320462 - Button for resetting curve in RAW import tool is very small
Summary: Button for resetting curve in RAW import tool is very small
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-RawImport-Native (show other bugs)
Version: 3.3.0
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-30 05:35 UTC by Dmitry
Modified: 2022-01-26 04:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.3.0


Attachments
Small button (6.38 KB, image/png)
2013-05-30 05:36 UTC, Dmitry
Details
New large button (10.13 KB, image/png)
2013-05-30 05:36 UTC, Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2013-05-30 05:35:34 UTC
Button for resetting curve to linear is too small, so, it's difficalt to find it (if user don't know where the button is located). This patch makes button bigger. Please, see screenshots.

Reproducible: Always
Comment 1 Dmitry 2013-05-30 05:36:01 UTC
Created attachment 80175 [details]
Small button
Comment 2 Dmitry 2013-05-30 05:36:26 UTC
Created attachment 80176 [details]
New large button
Comment 3 Dmitry 2013-05-30 05:37:01 UTC
Review request: https://git.reviewboard.kde.org/r/110559/
Comment 4 caulier.gilles 2013-05-30 06:52:01 UTC
With your patch applied, go to Image Curves tool. What's the result in settings view ?

Why not to put a contextual menu over curve ?

Gilles Caulier
Comment 5 caulier.gilles 2013-05-30 06:56:18 UTC
Ah no, sorry, your patch touch only RawSettingsBox, not main Curve Widget...

So it's fine for me...

Gilles Caulier
Comment 6 caulier.gilles 2013-05-30 07:49:31 UTC
Git commit 8917940468074dcd29d6067fe905b011b292dd63 by Gilles Caulier.
Committed on 30/05/2013 at 09:44.
Pushed by cgilles into branch 'master'.

Apply patch from Dmitry Ashkadov to inmprove visibility of Cureve reset button from Raw Import Tool.
REVIEW: 110559

M  +12   -15   utilities/imageeditor/rawimport/rawsettingsbox.cpp

http://commits.kde.org/digikam/8917940468074dcd29d6067fe905b011b292dd63